	var via = parent;
	var write_via = "parent";
	var iLoc= self.location.href;

	function playSel(){via.wmpStop();via.startExobud();}
	function refreshPl(){ self.location=iLoc;}
	function chkSel(){via.chkAllSel();refreshPl();}
	function chkDesel(){via.chkAllDesel();refreshPl();}

	function dspList(n){
		
		var elmABlock= 10;// 设定每页可显示多少个播放项目
		var totElm = via.intMmCnt;
		var totBlock= Math.floor((via.intMmCnt -1) / elmABlock)+1;
		var cblock;
		if(n==null){cblock=1;}
		else{cblock=n;}
		var seed;
		var limit;
		if(cblock < totBlock){seed= elmABlock * (cblock-1); limit =  cblock*elmABlock -1}
		else{seed=elmABlock * (cblock-1); limit= totElm-1;}

	if(via.intMmCnt >0 ){
		var list_num=0;
		mmList.innerHTML='<p>';
		for (var i=seed; i <= limit; i++)
		{	list_num = i + 1;
			if(via.objMmInfo[i].selMm=="t"){elm='&nbsp;&nbsp;<input type=checkbox  style="cursor:hand;" onfocus=blur() onClick='+ write_via + '.chkItemSel('+ i +'); checked>' ;}
			else{elm = '&nbsp;&nbsp;<input type=checkbox style="cursor:hand;" onfocus=blur() onClick='+ write_via + '.chkItemSel('+ i +');>' ;}
			elm = elm + '&nbsp;' + list_num + '.' 
			elm = elm + '<a href=javascript:' + write_via + '.selPlPlay(' + i + ');'
			elm = elm + ' onfocus=blur() onclick=\"this.blur();\">'
			if(via.objMmInfo[i].mmTit =="nAnT"){ elm = elm + "没有标题的音乐文件(等待程序自动取得信息)";}
			else{elm = elm + via.objMmInfo[i].mmTit;}
			elm= elm+  '</a><br>';
			mmList.innerHTML=mmList.innerHTML+elm;
		}

                var pmin=new Number(cblock)-3;
		var pmax=new Number(cblock)+3;
		var ppre=new Number(cblock)-1;
		var pnext=new Number(cblock)+1;
		if(pmin<=3){pmin=1;pmax=7;}
		if(pmax>totBlock){pmax=totBlock;}
		if(ppre<=1){ppre=1;}
		if(pnext>totBlock){pnext=totBlock;}

		for(var j=pmin; j<=pmax; j++){
			page='<a href=javascript:dspList('+j+') onFocus=blur()>['+j+']</a> ';
		}

		pageInfo.innerHTML='&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href=javascript:dspList(1) onfocus=blur() title=首页><font face="Webdings">9</font></a>&nbsp;<a href=javascript:dspList('+ppre+') onfocus=blur() title=上一页><font face="Webdings">3</font></a>&nbsp;<font color=#0D6A8D><b>第'+cblock+ '页</b></font>&nbsp;<font color=#0D6A8D><b>共'+ totBlock+'页</b></font>&nbsp;<font color=#0D6A8D><b>共'+totElm+'首</b></font>&nbsp;<a href=javascript:dspList('+pnext+') onfocus=blur() title=下一页><font face="Webdings">4</font></a>&nbsp;<a href=javascript:dspList('+totBlock+') onfocus=blur() title=尾页><font face="Webdings">:</font></a>';

	}
	else { mmList.innerHTML='<div align=center>您 没 有 选 择 歌 曲</div>'; }
	 }



// ExoBUD⑩ MP(II) List Popping Up
function openPlaylist_i(layername)
{
	if (parent.opener)
	{
		if (parent.document.getElementById(layername).style.visibility == 'visible')
			{
				parent.document.getElementById(layername).style.visibility = 'hidden';
				parent.resizeTo(322,210);
			}
		else
			{
				parent.document.getElementById(layername).style.visibility = 'visible';
				parent.resizeTo(322,210);
			}
	}
	else
	{
		if (parent.document.getElementById(layername).style.visibility == 'visible') 
			parent.document.getElementById(layername).style.visibility = 'hidden';
		else
			parent.document.getElementById(layername).style.visibility = 'visible';
	}
}

-->